Package: groovy.util

## [Java] Class ObservableSet.ObservableIterator<E>

- groovy.util.ObservableSet.ObservableIterator

- All Implemented Interfaces and Traits:
    Iterator

      protected class ObservableSet.ObservableIterator<E>
      extends Object
      implements Iterator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableIterator(Iterator<E> iterDelegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator<E>` | `getDelegate()`
    `` | `public boolean` | `hasNext()`
    `` | `public E` | `next()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ObservableIterator(Iterator<E> iterDelegate)

  - ### Method Detail

    - #### public Iterator<E> getDelegate()

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public E next()

    - #### @Override
      public void remove()